PlanDocket

Zeitpläne

Business+

Rufen Sie Event-Zeitpläne ab.

Nur Lesen Dieser Endpunkt unterstützt nur GET-Anfragen.
Erforderliche Bereiche: schedules
Zugriffsstufe: GET schedules:read Mehr zu Zugriffsstufen
Feature-Flag: schedules

Endpunkte

GET /api/v1/schedules

Alle Zeitplaneinträge auflisten

GET /api/v1/schedules/{id}

Einzelnen Eintrag abrufen

Abfrageparameter

Parameter Beschreibung
event_key Nach Event-Schlüssel filtern (erforderlich)
date Nach bestimmtem Datum filtern (ISO 8601)
from_date Einträge ab diesem Datum filtern (ISO 8601)
to_date Einträge bis zu diesem Datum filtern (ISO 8601)
location Nach Standort filtern
slot_type Nach Slot-Typ filtern
is_public Nach öffentlicher Sichtbarkeit filtern (0 oder 1)
include Verknüpfte Daten einschließen (assignments)

Response-Schema

Feld Typ
id integer
event_id integer
event_title string|null
slot_date string|null
start_time string|null
end_time string|null
location string|null
title string|null
description string|null
slot_type string
is_public boolean
show_in_public_agenda boolean (true = der Programmpunkt erscheint im öffentlichen Programm des Events)
sort_order integer
created_at string
updated_at string

Codebeispiele

curl -X GET "https://ihr-mandant.plandocket.com/api/v1/schedules" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://ihr-mandant.plandocket.com';

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL => $baseUrl . '/api/v1/schedules',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $apiKey,
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://ihr-mandant.plandocket.com';

const response = await fetch(`${baseUrl}/api/v1/schedules`, {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${apiKey}`,
  },
});

const data = await response.json();
console.log(data);
import requests

api_key = 'YOUR_API_KEY'
base_url = 'https://ihr-mandant.plandocket.com'

headers = {
    'Authorization': f'Bearer {api_key}',
}

response = requests.get(f'{base_url}/api/v1/schedules', headers=headers)
data = response.json()
print(data)

Beispiel-Antwort

200 OK
{
    "data": [
        {
            "id": 1,
            "event_id": 1,
            "event_title": "string",
            "slot_date": "2026-01-15T10:00:00+01:00",
            "start_time": "string",
            "end_time": "string",
            "location": "string",
            "title": "string",
            "description": "string",
            "slot_type": "string",
            "is_public": true,
            "show_in_public_agenda": true,
            "sort_order": 1,
            "created_at": "2026-01-15T10:00:00+01:00",
            "updated_at": "2026-01-15T10:00:00+01:00"
        }
    ],
    "meta": {
        "current_page": 1,
        "per_page": 25,
        "total": 1,
        "total_pages": 1
    }
}
API Version v1.0